/*********************************************************************
*                SEGGER MICROCONTROLLER GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 2003-2014     SEGGER Microcontroller GmbH & Co KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : USB_Config_TI_TM4Cxx.c
Purpose : Config file for TI/Luminary TivaC Series (TM4C12x).
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "USB.h"
#include "RTOS.h"
#include "BSP.h"

/*********************************************************************
*
*       Defines, configurable
*
**********************************************************************
*/

/*********************************************************************
*
*       Defines, sfrs
*
**********************************************************************
*/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/

/*********************************************************************
*
*       USB_X_HWAttach
*/
void USB_X_HWAttach(void) {
}

/*********************************************************************
*
*       Setup which target USB driver shall be used
*/

/*********************************************************************
*
*       USB_X_AddDriver
*/
void USB_X_AddDriver(void) {
  BSP_USB_Init();
  USB_AddDriver(&USB_Driver_TI_TM4Cxx);
}

/*********************************************************************
*
*       USB_X_EnableISR
*/
void USB_X_EnableISR(USB_ISR_HANDLER * pfISRHandler) {
  BSP_USB_InstallISR(pfISRHandler);
}

/**************************** end of file ***************************/
